%{?nodejs_find_provides_and_requires}


Name:           nodejs-source-map
Version:        0.5.3
Release:        %mkrel 2
Summary:        Node.js library that generates and consumes source maps

BuildArch:      noarch

Group:          System/Servers
License:        BSD
URL:            https://github.com/mozilla/source-map
Source0:        http://registry.npmjs.org/source-map/-/source-map-%{version}.tgz

BuildRequires:  nodejs-packaging 
BuildRequires:  nodejs
BuildRequires:  npm(amdefine)


%description
A Node.js library that generates and consumes source maps,

A version suitable for use in the browser is available in the source-map
package.



%prep
%setup -q -n package

%build


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/source-map
cp -pr package.json *.js  lib %{buildroot}%{nodejs_sitelib}/source-map

%nodejs_symlink_deps


%files
%doc README.md
%{nodejs_sitelib}/source-map






%changelog
* Fri Nov 13 2015 spuhler <spuhler> 0.5.3-2.mga6
+ Revision: 903067
- removed the bootstrap section
- added the missing source-map.js  to the file list

* Thu Nov 12 2015 spuhler <spuhler> 0.5.3-1.mga6
+ Revision: 902927
- upgrade to vers. 0.5.3

* Mon Oct 19 2015 spuhler <spuhler> 0.5.1-1.mga6
+ Revision: 892821
- update to vers. 0.5.1
- removed the %%check section, file not in source anymore

* Wed Oct 15 2014 umeabot <umeabot> 0.1.33-2.mga5
+ Revision: 743097
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.1.33-1.mga5
+ Revision: 726925
- imported package nodejs-source-map


* Sat Sep 27 2014 Thierry Vignaud <tv@mageia.org> 0.1.33-1.mga5
- import from FC

* Thu Mar 13 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.33-1
- update to upstream release 0.1.33

* Tue Jul 30 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 0.1.27-1
- update to upstream release 0.1.27
- restrict to compatible arches

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.22-1
- new upstream release 0.1.22

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-4
- add macro to enable dependency generation on EPEL6

* Sun Feb 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-3
- fix BuildRequires
- link dependencies in %%check
- add missing %%nodejs_symlink_deps

* Fri Feb 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-2
- fix Name in main package

* Fri Jan 18 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 0.1.8-1
- initial package generated by npm2rpm
